#reload
execute as @a[tag=!tur] run reload
tag @a add tur

#sounds
scoreboard players add @e[tag=turkor.head] sounds 1
execute as @e[tag=turkor.head,scores={sounds=60}] at @s run playsound minecraft:boss.turkor.gobble voice @a[distance=..9] ~ ~ ~ 1 1 1
scoreboard players reset @e[tag=turkor.head,scores={sounds=80}] sounds
execute as @e[tag=turkor.head] at @s if entity @a[distance=..6] unless entity @s[tag=played.sound] run playsound minecraft:boss.turkor.attack voice @a[distance=..10] ~ ~ ~ 1 1 1
execute as @e[tag=turkor.head] at @s if entity @a[distance=..6] unless entity @s[tag=played.sound] run tag @s add played.sound
execute as @e[tag=turkor.head] at @s unless entity @a[distance=..6] if entity @s[tag=played.sound] run tag @s remove played.sound

#ungrateful construct
execute as @e[tag=cursed.piglin] at @s run particle minecraft:smoke ~ ~ ~ 0.2 0.7 0.2 0 8 force
execute as @e[tag=cursed.piglin] at @s run tp @e[tag=dark.projectile,distance=30..] ~ ~0.6 ~
effect give @e[tag=cursed.piglin] invisibility 1 1 true
effect give @e[tag=dark.projectile] invisibility 1 1 true
execute unless entity @e[tag=cursed.piglin] run kill @e[tag=dark.projectile]
execute as @e[tag=cursed.piglin,tag=!tenticled] at @s run summon vex ^ ^0.6 ^ {Silent:1b,Invulnerable:1b,DeathLootTable:"iii",Tags:["dark.projectile"],CustomName:'{"text":"Ungrateful Construct","italic":false}',Attributes:[{Name:generic.follow_range,Base:100}]}
execute as @e[tag=cursed.piglin,tag=!tenticled] at @s run summon vex ^ ^0.6 ^ {Silent:1b,Invulnerable:1b,DeathLootTable:"iii",Tags:["dark.projectile"],CustomName:'{"text":"Ungrateful Construct","italic":false}',Attributes:[{Name:generic.follow_range,Base:100}]}
execute as @e[tag=cursed.piglin,tag=!tenticled] at @s run summon vex ^ ^0.6 ^ {Silent:1b,Invulnerable:1b,DeathLootTable:"iii",Tags:["dark.projectile"],CustomName:'{"text":"Ungrateful Construct","italic":false}',Attributes:[{Name:generic.follow_range,Base:100}]}
execute as @e[tag=cursed.piglin,tag=!tenticled] at @s run summon vex ^ ^0.6 ^ {Silent:1b,Invulnerable:1b,DeathLootTable:"iii",Tags:["dark.projectile"],CustomName:'{"text":"Ungrateful Construct","italic":false}',Attributes:[{Name:generic.follow_range,Base:100}]}
execute as @e[tag=cursed.piglin,tag=!tenticled] at @s run tag @s add tenticled
execute as @e[tag=dark.projectile] at @s run effect give @p[distance=..2] wither 2 1 true
scoreboard players add @e[tag=dark.projectile] timehere 1
execute as @e[tag=dark.projectile,scores={timehere=2..}] at @s facing entity @e[tag=cursed.piglin] eyes run function turkor:blob
scoreboard players reset @e[tag=dark.projectile,scores={timehere=2..}] timehere
scoreboard players add @e[tag=particle.blob] timehere 1
kill @e[tag=particle.blob,scores={timehere=3..}]
execute as @e[tag=cursed.piglin,tag=!seen] at @s run scoreboard players add @s timehere 1
execute as @e[tag=cursed.piglin,tag=!seen,scores={timehere=200}] at @s run tp @s ~ ~-50 ~
execute as @e[tag=cursed.piglin,tag=!seen] at @s if entity @p[distance=..40] run tag @s add seen

#spawn ungrateful construct
scoreboard players add ungrate_spawn ungrate 0
execute as @e[type=zombified_piglin,tag=!checked] at @s run scoreboard players add ungrate_spawn ungrate 1
execute as @e[type=zombified_piglin,tag=!checked] at @s if score ungrate_spawn ungrate matches 1 unless entity @e[tag=cursed.piglin] run function turkor:ungratful_contruct_spawn
tag @e[type=zombified_piglin] add checked
scoreboard players set ungrate_set ungrate 15
execute if score ungrate_spawn ungrate >= ungrate_set ungrate run scoreboard players reset ungrate_spawn ungrate

#horn o plenty
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{horn:oplenty}}},scores={plenty=1}] at @s unless entity @s[scores={cooldown=1..}] run tag @s add plenty.use
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:carrot_on_a_stick",Count:1b,tag:{horn:oplenty}}]},scores={plenty=1}] at @s unless entity @s[scores={cooldown=1..}] run tag @s add plenty.use
scoreboard players reset @a plenty
execute as @a[tag=plenty.use] at @s run effect give @s instant_health 1 1 true
execute as @a[tag=plenty.use] at @s run playsound minecraft:entity.player.burp voice @s ~ ~ ~ 1 1 1
execute as @a[tag=plenty.use] at @s run particle item golden_carrot ~ ~0.9 ~ 0.2 0.2 0.2 0.1 90 force
execute as @a[tag=plenty.use] at @s run effect give @s saturation 1 3 true
execute as @a[tag=plenty.use] at @s run summon item ~ ~1 ~ {PickupDelay:1000,Motion:[0.0,0.2,0.1],Tags:["particle.food"],Item:{id:"minecraft:apple",Count:1b}}
execute as @a[tag=plenty.use] at @s run summon item ~ ~1 ~ {PickupDelay:1000,Motion:[0.1,0.2,0.0],Tags:["particle.food"],Item:{id:"minecraft:pumpkin_pie",Count:1b}}
execute as @a[tag=plenty.use] at @s run summon item ~ ~1 ~ {PickupDelay:1000,Motion:[0.1,0.2,0.1],Tags:["particle.food"],Item:{id:"minecraft:cooked_chicken",Count:1b}}
execute as @a[tag=plenty.use] at @s run summon item ~ ~1 ~ {PickupDelay:1000,Motion:[-0.1,0.2,0.0],Tags:["particle.food"],Item:{id:"minecraft:bread",Count:1b}}
execute as @a[tag=plenty.use] at @s run summon item ~ ~1 ~ {PickupDelay:1000,Motion:[0.0,0.2,-0.1],Tags:["particle.food"],Item:{id:"minecraft:baked_potato",Count:1b}}
execute as @a[tag=plenty.use] at @s run summon item ~ ~1 ~ {PickupDelay:1000,Motion:[-0.1,0.2,-0.1],Tags:["particle.food"],Item:{id:"minecraft:cooked_rabit",Count:1b}}
execute as @a[tag=plenty.use] at @s run summon item ~ ~1 ~ {PickupDelay:1000,Motion:[-0.1,0.2,0.1],Tags:["particle.food"],Item:{id:"minecraft:cooked_porkchop",Count:1b}}
execute as @a[tag=plenty.use] at @s run summon item ~ ~1 ~ {PickupDelay:1000,Motion:[0.1,0.2,-0.1],Tags:["particle.food"],Item:{id:"minecraft:sweet_berries",Count:1b}}
execute as @a[tag=plenty.use] at @s run summon item ~ ~1 ~ {PickupDelay:1000,Motion:[-0.1,0.2,-0.1],Tags:["particle.food"],Item:{id:"minecraft:beetroot",Count:1b}}
execute as @a[tag=plenty.use] at @s run scoreboard players set @s[gamemode=!creative] cooldown 250
execute as @a[tag=plenty.use] at @s run tag @s remove plenty.use
scoreboard players add @e[tag=particle.food] timehere 1
execute as @e[tag=particle.food] at @s run particle minecraft:crit ~ ~ ~ 0 0 0 0 1 normal
execute as @e[tag=particle.food,scores={timehere=50}] at @s run particle minecraft:poof ~ ~ ~ 0.1 0.1 0.1 0.1 8 force
kill @e[tag=particle.food,scores={timehere=50}]
title @a[scores={cooldown=226..250}] actionbar {"text":"Cooldown 0000000000","color":"red"}
title @a[scores={cooldown=201..225}] actionbar {"text":"Cooldown 000000000-","color":"red"}
title @a[scores={cooldown=176..200}] actionbar {"text":"Cooldown 00000000--","color":"red"}
title @a[scores={cooldown=151..175}] actionbar {"text":"Cooldown 0000000---","color":"red"}
title @a[scores={cooldown=126..150}] actionbar {"text":"Cooldown 000000----","color":"red"}
title @a[scores={cooldown=101..125}] actionbar {"text":"Cooldown 00000-----","color":"red"}
title @a[scores={cooldown=76..100}] actionbar {"text":"Cooldown 0000------","color":"red"}
title @a[scores={cooldown=51..75}] actionbar {"text":"Cooldown 000-------","color":"red"}
title @a[scores={cooldown=26..50}] actionbar {"text":"Cooldown 00--------","color":"red"}
title @a[scores={cooldown=1..25}] actionbar {"text":"Cooldown 0---------","color":"red"}
title @a[scores={cooldown=0}] actionbar {"text":"Cooldown ----------","color":"green"}
scoreboard players reset @a[scores={cooldown=0}] cooldown
scoreboard players remove @a[scores={cooldown=1..}] cooldown 1
scoreboard players reset @a[gamemode=creative] cooldown

#cursed stuffing
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{cursed:stuffing}}},scores={cursed=1}] at @s unless entity @e[tag=turkor.body] run tag @s add summon.turkor.p
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:carrot_on_a_stick",Count:1b,tag:{cursed:stuffing}}]},scores={cursed=1}] at @s unless entity @e[tag=turkor.body] run tag @s add summon.turkor.p
scoreboard players reset @a cursed
execute as @a[tag=summon.turkor.p] at @s run item replace entity @s weapon.mainhand with air 1
execute as @a[tag=summon.turkor.p] at @s run tellraw @a {"text":"Turkor the Ungrateful has awoken!","color":"#9E1FFF"}
execute as @a[tag=summon.turkor.p] at @s run summon armor_stand ~ ~ ~ {Silent:1b,Invulnerable:1b,Tags:["summon.turkor.a"]}
execute as @a[tag=summon.turkor.p] at @s run tag @s remove summon.turkor.p
execute as @e[tag=summon.turkor.a] at @s run spreadplayers ~ ~ 10 10 true @s
execute as @e[tag=summon.turkor.a] at @s run function turkor:turkor_summon
execute as @e[tag=summon.turkor.a] at @s run kill @s

#possessed beetroot
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}}] at @s run particle soul ~ ~ ~ 0.3 1.3 0.3 0.1 7 force
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:iron_sword",tag:{beet:root}}]}] at @s run particle soul ~ ~ ~ 0.3 1.3 0.3 0.1 7 force
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}}] at @s run tag @s add holding
execute as @a at @s unless entity @s[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}}] run tag @s remove holding
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},nbt={HurtTime:5s}] at @s run effect give @s wither 1 3 true
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},scores={totem=1}] at @s run effect clear @s
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},scores={totem=1}] at @s run stopsound @a player minecraft:item.totem.use
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},scores={totem=1}] at @s run playsound minecraft:entity.wandering_trader.disappeared voice @a ~ ~ ~ 10 1 1
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},scores={totem=1}] at @s run effect give @s wither 5 12 false
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},scores={totem=1}] at @s run summon item ~ ~ ~ {PickupDelay:30,Tags:["soul.am.drop"],Item:{id:"minecraft:cyan_dye",Count:1b,tag:{display:{Name:'{"text":"Your Soul","color":"aqua","italic":false}',Lore:['{"text":"Wow, that didn\'t work right","color":"gold","italic":false}','[{"text":"Does nothing but be a trophy and a ","color":"dark_green","italic":false},{"text":"troll","color":"aqua","italic":false}]']},CustomModelData:111111}}}
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},scores={used_beetroot=1}] at @s run playsound minecraft:particle.soul_escape voice @a[distance=..9] ~ ~ ~ 10 0 1
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},scores={used_beetroot=1}] at @s run playsound minecraft:entity.vex.charge voice @a[distance=..9] ~ ~ ~ 10 0 1
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},scores={used_beetroot=1}] at @s run particle soul_fire_flame ~ ~ ~ 0.4 1.4 0.4 0 30 force
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},scores={used_beetroot=1}] at @s run effect give @e[tag=!holding,distance=..3] wither 4 1 false
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{beet:root}}},scores={used_beetroot=1}] at @s run spreadplayers ~ ~ 4 4 true @s
scoreboard players reset @a used_beetroot
scoreboard players reset @a totem
execute as @e[tag=soul.am.drop] at @s run particle end_rod ~ ~ ~ 0.2 20 0.2 0 7 force
execute as @e[tag=soul.am.drop] at @s run particle soul_fire_flame ~ ~ ~ 0.3 0.3 0.3 0 5 normal

#turkor
effect give @e[tag=turkor] invisibility 1 1 true
execute as @e[tag=turkor.body,tag=!displayed] at @s run summon armor_stand ~ ~ ~ {Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,Tags:["turkor.body.d","turkor"],ArmorItems:[{},{},{},{id:"minecraft:paper",Count:1b,tag:{CustomModelData:111111}}]}
execute as @e[tag=turkor.body,tag=!displayed] at @s run summon armor_stand ^ ^ ^2 {Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,Tags:["position.turkor"]}
execute as @e[tag=turkor.body,tag=!displayed] at @s run tag @s add displayed
execute as @e[tag=turkor.body] at @s run tp @e[tag=turkor.body.d] ~ ~ ~ facing entity @p
execute as @e[tag=turkor.body.d] at @s run tp @e[tag=position.turkor] ^ ^ ^2
execute as @e[tag=turkor.body] at @s run tp @s ~ ~ ~ facing entity @p
execute if entity @e[tag=turkor.head] run data merge entity @e[tag=turkor.body,limit=1] {Invulnerable:1b}
execute unless entity @e[tag=turkor.head] run data merge entity @e[tag=turkor.body,limit=1] {Invulnerable:0b}
scoreboard players add @e[tag=flame] timehere 1
execute as @e[tag=flame,tag=!fired] at @s run function turkor:apply_motion
execute as @e[tag=flame] at @s run effect give @p[distance=..1] wither 2 1 true
execute as @e[tag=flame] at @s run particle small_flame ~ ~ ~ 0.3 0.3 0.3 0 7 normal
execute as @e[tag=flame] at @s run particle flame ~ ~ ~ 0.2 0.2 0.2 0 3 normal
execute as @e[tag=flame,scores={timehere=80}] at @s run particle smoke ~ ~ ~ 0.2 0.4 0.2 0 20 normal
execute as @e[tag=flame,scores={timehere=80}] at @s run kill @s
execute unless entity @e[tag=turkor.head] run scoreboard players add @e[tag=turkor.body] summonhead 1
execute unless entity @e[tag=turkor.head] run execute as @e[tag=turkor.body] at @s run particle block honey_block ~ ~ ~ 2.1 3.1 2.1 0.1 7 force
execute as @e[tag=turkor.body,scores={summonhead=1}] at @s run particle flame ~ ~ ~ 3.1 4.1 3.1 0 40 force
execute as @e[tag=turkor.body,scores={summonhead=1}] at @s run playsound minecraft:entity.ravager.roar voice @a[distance=..40] ~ ~ ~ 1 0 1
execute as @e[tag=turkor.body,scores={summonhead=20}] at @s positioned ^ ^0.4 ^2 run function turkor:flame
execute as @e[tag=turkor.body,scores={summonhead=35}] at @s positioned ^1 ^0.4 ^1 run function turkor:flame
execute as @e[tag=turkor.body,scores={summonhead=50}] at @s positioned ^-1 ^0.4 ^-2 run function turkor:flame
execute as @e[tag=turkor.body,scores={summonhead=60}] at @s positioned ^-1 ^0.4 ^1 run function turkor:flame
execute as @e[tag=turkor.body,scores={summonhead=70}] at @s positioned ^2 ^0.4 ^2 run function turkor:flame
execute as @e[tag=turkor.body,scores={summonhead=75}] at @s positioned ^ ^0.4 ^2 run function turkor:flame
execute as @e[tag=turkor.body,scores={summonhead=90}] at @s positioned ^-2 ^0.4 ^1 run function turkor:flame
execute as @e[tag=turkor.body,scores={summonhead=110}] at @s positioned ^ ^0.4 ^2 run function turkor:flame
execute as @e[tag=turkor.body,scores={summonhead=120}] at @s positioned ^ ^ ^2 run function turkor:turkor_head_summon
execute as @e[tag=turkor.body,scores={summonhead=120}] at @s positioned ^ ^ ^-2 run function turkor:turkor_head_summon
execute as @e[tag=turkor.body,scores={summonhead=120}] at @s if entity @s[scores={headtime=2..}] run function turkor:turkor_head_summon
execute as @e[tag=turkor.body,scores={summonhead=120}] at @s run scoreboard players add @s headtime 1
scoreboard players reset @e[tag=turkor.body,scores={summonhead=120..}] summonhead
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run playsound minecraft:entity.ravager.death voice @a[distance=..40] ~ ~ ~ 1 0 1
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~2 ~2 ~2 {PickupDelay:10,Motion:[0.2,0.3,0.2],Item:{id:"minecraft:cooked_chicken",Count:2b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~ ~2 ~2 {PickupDelay:10,Motion:[0.0,0.3,0.2],Item:{id:"minecraft:cooked_chicken",Count:2b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~2 ~2 ~ {PickupDelay:10,Motion:[0.2,0.3,0.0],Item:{id:"minecraft:cooked_chicken",Count:5b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~-2 ~2 ~-2 {PickupDelay:10,Motion:[-0.2,0.3,-0.2],Item:{id:"minecraft:cooked_chicken",Count:2b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~-2 ~2 ~ {PickupDelay:10,Motion:[-0.2,0.3,0.0],Item:{id:"minecraft:cooked_chicken",Count:4b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~ ~2 ~-2 {PickupDelay:10,Motion:[0.0,0.3,-0.2],Item:{id:"minecraft:cooked_chicken",Count:1b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~2 ~2 ~-2 {PickupDelay:10,Motion:[0.2,0.3,-0.2],Item:{id:"minecraft:cooked_chicken",Count:3b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~-2 ~2 ~2 {PickupDelay:10,Motion:[-0.2,0.3,0.2],Item:{id:"minecraft:cooked_chicken",Count:2b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~2 ~2 ~2 {PickupDelay:10,Motion:[0.1,0.2,0.1],Item:{id:"minecraft:apple",Count:1b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~ ~2 ~2 {PickupDelay:10,Motion:[0.0,0.2,0.1],Item:{id:"minecraft:baked_potato",Count:2b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~2 ~2 ~ {PickupDelay:10,Motion:[0.1,0.2,0.0],Item:{id:"minecraft:baked_potato",Count:2b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~-2 ~2 ~-2 {PickupDelay:10,Motion:[-0.1,0.2,-0.1],Item:{id:"minecraft:apple",Count:3b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~-2 ~2 ~ {PickupDelay:10,Motion:[-0.1,0.2,0.0],Item:{id:"minecraft:pumpkin_pie",Count:2b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~ ~2 ~-2 {PickupDelay:10,Motion:[0.0,0.2,-0.1],Item:{id:"minecraft:bread",Count:2b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~2 ~2 ~-2 {PickupDelay:10,Motion:[0.1,0.2,-0.1],Item:{id:"minecraft:iron_sword",Count:1b,tag:{display:{Name:'{"text":"Possessed Beetroot","color":"#BDFFFF","italic":false}',Lore:['{"text":"It is evil...","color":"gold","italic":false}','{"text":"Use like a sword, but it\'s more fun","color":"dark_green","italic":false}']},HideFlags:127,Unbreakable:1b,CustomModelData:111111,beet:root,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:9,Operation:0,UUID:[I;-51819836,653019392,-1237781264,1887170664],Slot:"mainhand"}]}}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon item ~-2 ~2 ~2 {PickupDelay:10,Motion:[-0.1,0.2,0.1],Item:{id:"minecraft:bread",Count:4b}}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon bat ~ ~ ~ {Silent:1b,Invulnerable:1b,Tags:["xp","turkor"]}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon bat ~ ~ ~ {Silent:1b,Invulnerable:1b,Tags:["xp","turkor"]}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon bat ~ ~ ~ {Silent:1b,Invulnerable:1b,Tags:["xp","turkor"]}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon bat ~ ~ ~ {Silent:1b,Invulnerable:1b,Tags:["xp","turkor"]}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon bat ~ ~ ~ {Silent:1b,Invulnerable:1b,Tags:["xp","turkor"]}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run summon bat ~ ~ ~ {Silent:1b,Invulnerable:1b,Tags:["xp","turkor"]}
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run tellraw @a {"text":"Turkor the Ungrateful has been defeated!","color":"#9E1FFF"}
scoreboard players add @e[tag=xp] timehere 1
kill @e[tag=xp,scores={timehere=100}]
execute as @e[tag=turkor.body.d] at @s unless entity @e[tag=turkor.body] run kill @s
execute as @e[tag=position.turkor] at @s unless entity @e[tag=turkor.body] run kill @s
execute as @e[tag=turkor.body] at @s unless entity @e[tag=turkor.body.d] run kill @s
execute as @e[tag=xp] at @s run summon experience_orb ~ ~ ~ {Age:-32768,Health:1000b,Value:3}
scoreboard players add @e[tag=turkor.head] breath 1
execute as @e[tag=turkor.head,scores={breath=100}] at @s run summon potion ~ ~ ~ {Tags:["poison.flame"],Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:5898079,CustomPotionEffects:[{Id:19b,Amplifier:2b,Duration:120,ShowParticles:1b},{Id:20b,Amplifier:1b,Duration:120,ShowParticles:1b}],CustomModelData:111111}}}
execute as @e[tag=turkor.head,scores={breath=102}] at @s run summon potion ~ ~ ~ {Tags:["poison.flame"],Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:5898079,CustomPotionEffects:[{Id:19b,Amplifier:2b,Duration:120,ShowParticles:1b},{Id:20b,Amplifier:1b,Duration:120,ShowParticles:1b}],CustomModelData:111111}}}
execute as @e[tag=turkor.head,scores={breath=104}] at @s run summon potion ~ ~ ~ {Tags:["poison.flame"],Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:5898079,CustomPotionEffects:[{Id:19b,Amplifier:2b,Duration:120,ShowParticles:1b},{Id:20b,Amplifier:1b,Duration:120,ShowParticles:1b}],CustomModelData:111111}}}
execute as @e[tag=turkor.head,scores={breath=106}] at @s run summon potion ~ ~ ~ {Tags:["poison.flame"],Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:5898079,CustomPotionEffects:[{Id:19b,Amplifier:2b,Duration:120,ShowParticles:1b},{Id:20b,Amplifier:1b,Duration:120,ShowParticles:1b}],CustomModelData:111111}}}
scoreboard players reset @e[tag=turkor.head,scores={breath=106}] breath
execute as @e[tag=poison.flame,tag=!fired] at @s run function turkor:flame_move
execute as @e[tag=turkor.head,tag=!displayed] at @s run summon armor_stand ~ ~ ~ {Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,Tags:["head.display"],ArmorItems:[{},{},{},{id:"minecraft:paper",Count:1b,tag:{CustomModelData:121212}}]}
execute as @e[tag=turkor.head,tag=!displayed] at @s run tag @s add displayed
execute as @e[tag=turkor.head.hitbox] at @s run tp @e[tag=head.display,distance=..1,limit=1,sort=nearest] ~ ~ ~ facing entity @p eyes
execute as @e[tag=turkor.head.hitbox] at @s unless entity @e[tag=head.display,distance=..1] run summon armor_stand ~ ~ ~ {Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,Tags:["head.display"],ArmorItems:[{},{},{},{id:"minecraft:paper",Count:1b,tag:{CustomModelData:121212}}]}
execute as @e[tag=turkor.head.hitbox] at @s run effect give @a[distance=..4] poison 3 0 true
execute as @e[tag=head.display] at @s unless entity @e[tag=turkor.head.hitbox,distance=..1] run kill @s
execute as @e[tag=turkor.head] at @s unless entity @e[tag=turkor.head.hitbox,distance=..1] run kill @s
execute as @e[tag=head.display] at @s if entity @p[distance=..9] run item replace entity @s armor.head with paper{CustomModelData:131313} 1
execute as @e[tag=head.display] at @s unless entity @p[distance=..9] run item replace entity @s armor.head with paper{CustomModelData:121212} 1
scoreboard players add @e[tag=turkor.head] timehere 1
execute as @e[tag=turkor.head,scores={timehere=2}] at @s facing entity @e[tag=position.turkor] eyes run function turkor:neck
scoreboard players reset @e[tag=turkor.head,scores={timehere=2..}] timehere
scoreboard players add @e[tag=particle.neck] timehere 1
kill @e[tag=particle.neck,scores={timehere=3}]
effect clear @e[tag=turkor] poison
effect clear @e[tag=turkor] wither

#bossbar
bossbar set turkor players @a
execute if entity @e[tag=turkor.body] run bossbar set turkor visible true
execute unless entity @e[tag=turkor.body] run bossbar set turkor visible false
execute store result bossbar minecraft:turkor max as @e[tag=turkor.body,limit=1] run data get entity @s Attributes[1].Base
execute store result bossbar minecraft:turkor value as @e[tag=turkor.body,limit=1] run data get entity @s Health